library(reshape)
library(dplyr)
library(vegan)
source("cneFxn.R")

#CNE of coastal forests
Oct20_MIP_min100_habCF <- read.csv("commatrix.txt", sep="\t") # Read in tab-delimited data
Oct20_MIP_min100_habCF_melt <- melt(Oct20_MIP_min100_habCF, id="X") # Change structure to appropriate 3-column format
names(Oct20_MIP_min100_habCF_melt) <- c("SciName","TrapID","Total") # Rename column names to correspond with cneFxn requirements
Oct20_MIP_min100_habCF_df <- data.frame(Oct20_MIP_min100_habCF_melt) # Make into data frame
Oct20_MIP_min100_habCF_df <- Oct20_MIP_min100_habCF_df %>% mutate_if(is.character,as.factor) # Change sciname into factor column; trapid is already a factor column
dplyr::glimpse(Oct20_MIP_min100_habCF_df) # Double-check that they are indeed factors
Oct20_MIP_min100_habCF_E <- Oct20_MIP_min100_habCF_df
Oct20_MIP_min100_habCF_mytable <- xtabs( Oct20_MIP_min100_habCF_E$Total~Oct20_MIP_min100_habCF_E$SciName+Oct20_MIP_min100_habCF_E$TrapID )
Oct20_MIP_min100_habCF_x <- specpool( t(Oct20_MIP_min100_habCF_mytable) ) # This is a vegan function
Oct20_MIP_min100_habCF_cne <- cneFxn( Oct20_MIP_min100_habCF_mytable )

#CNE of urban forests
Oct20_MIP_min100_habUF <- read.csv("commatrix.txt", sep="\t") # Read in tab-delimited data
Oct20_MIP_min100_habUF_melt <- melt(Oct20_MIP_min100_habUF, id="X") # Change structure to appropriate 3-column format
names(Oct20_MIP_min100_habUF_melt) <- c("SciName","TrapID","Total") # Rename column names to correspond with cneFxn requirements
Oct20_MIP_min100_habUF_df <- data.frame(Oct20_MIP_min100_habUF_melt) # Make into data frame
Oct20_MIP_min100_habUF_df <- Oct20_MIP_min100_habUF_df %>% mutate_if(is.character,as.factor) # Change sciname into factor column; trapid is already a factor column
dplyr::glimpse(Oct20_MIP_min100_habUF_df) # Double-check that they are indeed factors
Oct20_MIP_min100_habUF_E <- Oct20_MIP_min100_habUF_df
Oct20_MIP_min100_habUF_mytable <- xtabs( Oct20_MIP_min100_habUF_E$Total~Oct20_MIP_min100_habUF_E$SciName+Oct20_MIP_min100_habUF_E$TrapID )
Oct20_MIP_min100_habUF_x <- specpool( t(Oct20_MIP_min100_habUF_mytable) ) # This is a vegan function
Oct20_MIP_min100_habUF_cne <- cneFxn( Oct20_MIP_min100_habUF_mytable )

#CNE of freshwater swamps
Oct20_MIP_min100_habFS <- read.csv("commatrix.txt", sep="\t") # Read in tab-delimited data
Oct20_MIP_min100_habFS_melt <- melt(Oct20_MIP_min100_habFS, id="X") # Change structure to appropriate 3-column format
names(Oct20_MIP_min100_habFS_melt) <- c("SciName","TrapID","Total") # Rename column names to correspond with cneFxn requirements
Oct20_MIP_min100_habFS_df <- data.frame(Oct20_MIP_min100_habFS_melt) # Make into data frame
Oct20_MIP_min100_habFS_df <- Oct20_MIP_min100_habFS_df %>% mutate_if(is.character,as.factor) # Change sciname into factor column; trapid is already a factor column
dplyr::glimpse(Oct20_MIP_min100_habFS_df) # Double-check that they are indeed factors
Oct20_MIP_min100_habFS_E <- Oct20_MIP_min100_habFS_df
Oct20_MIP_min100_habFS_mytable <- xtabs( Oct20_MIP_min100_habFS_E$Total~Oct20_MIP_min100_habFS_E$SciName+Oct20_MIP_min100_habFS_E$TrapID )
Oct20_MIP_min100_habFS_x <- specpool( t(Oct20_MIP_min100_habFS_mytable) ) # This is a vegan function
Oct20_MIP_min100_habFS_cne <- cneFxn( Oct20_MIP_min100_habFS_mytable )

#CNE of mangroves (others)
Oct20_MIP_min100_habMO <- read.csv("commatrix.txt", sep="\t") # Read in tab-delimited data
Oct20_MIP_min100_habMO_melt <- melt(Oct20_MIP_min100_habMO, id="X") # Change structure to appropriate 3-column format
names(Oct20_MIP_min100_habMO_melt) <- c("SciName","TrapID","Total") # Rename column names to correspond with cneFxn requirements
Oct20_MIP_min100_habMO_df <- data.frame(Oct20_MIP_min100_habMO_melt) # Make into data frame
Oct20_MIP_min100_habMO_df <- Oct20_MIP_min100_habMO_df %>% mutate_if(is.character,as.factor) # Change sciname into factor column; trapid is already a factor column
dplyr::glimpse(Oct20_MIP_min100_habMO_df) # Double-check that they are indeed factors
Oct20_MIP_min100_habMO_E <- Oct20_MIP_min100_habMO_df
Oct20_MIP_min100_habMO_mytable <- xtabs( Oct20_MIP_min100_habMO_E$Total~Oct20_MIP_min100_habMO_E$SciName+Oct20_MIP_min100_habMO_E$TrapID )
Oct20_MIP_min100_habMO_x <- specpool( t(Oct20_MIP_min100_habMO_mytable) ) # This is a vegan function
Oct20_MIP_min100_habMO_cne <- cneFxn( Oct20_MIP_min100_habMO_mytable )

#CNE of mangoves (pulau ubin)
Oct20_MIP_min100_habMPU <- read.csv("commatrix.txt", sep="\t") # Read in tab-delimited data
Oct20_MIP_min100_habMPU_melt <- melt(Oct20_MIP_min100_habMPU, id="X") # Change structure to appropriate 3-column format
names(Oct20_MIP_min100_habMPU_melt) <- c("SciName","TrapID","Total") # Rename column names to correspond with cneFxn requirements
Oct20_MIP_min100_habMPU_df <- data.frame(Oct20_MIP_min100_habMPU_melt) # Make into data frame
Oct20_MIP_min100_habMPU_df <- Oct20_MIP_min100_habMPU_df %>% mutate_if(is.character,as.factor) # Change sciname into factor column; trapid is already a factor column
dplyr::glimpse(Oct20_MIP_min100_habMPU_df) # Double-check that they are indeed factors
Oct20_MIP_min100_habMPU_E <- Oct20_MIP_min100_habMPU_df
Oct20_MIP_min100_habMPU_mytable <- xtabs( Oct20_MIP_min100_habMPU_E$Total~Oct20_MIP_min100_habMPU_E$SciName+Oct20_MIP_min100_habMPU_E$TrapID )
Oct20_MIP_min100_habMPU_x <- specpool( t(Oct20_MIP_min100_habMPU_mytable) ) # This is a vegan function
Oct20_MIP_min100_habMPU_cne <- cneFxn( Oct20_MIP_min100_habMPU_mytable )

#CNE of mangroves (sungei buloh)
Oct20_MIP_min100_habMSB <- read.csv("commatrix.txt", sep="\t") # Read in tab-delimited data
Oct20_MIP_min100_habMSB_melt <- melt(Oct20_MIP_min100_habMSB, id="X") # Change structure to appropriate 3-column format
names(Oct20_MIP_min100_habMSB_melt) <- c("SciName","TrapID","Total") # Rename column names to correspond with cneFxn requirements
Oct20_MIP_min100_habMSB_df <- data.frame(Oct20_MIP_min100_habMSB_melt) # Make into data frame
Oct20_MIP_min100_habMSB_df <- Oct20_MIP_min100_habMSB_df %>% mutate_if(is.character,as.factor) # Change sciname into factor column; trapid is already a factor column
dplyr::glimpse(Oct20_MIP_min100_habMSB_df) # Double-check that they are indeed factors
Oct20_MIP_min100_habMSB_E <- Oct20_MIP_min100_habMSB_df
Oct20_MIP_min100_habMSB_mytable <- xtabs( Oct20_MIP_min100_habMSB_E$Total~Oct20_MIP_min100_habMSB_E$SciName+Oct20_MIP_min100_habMSB_E$TrapID )
Oct20_MIP_min100_habMSB_x <- specpool( t(Oct20_MIP_min100_habMSB_mytable) ) # This is a vegan function
Oct20_MIP_min100_habMSB_cne <- cneFxn( Oct20_MIP_min100_habMSB_mytable )

#CNE of mangroves (pulau semakau, new)
Oct20_MIP_min100_habMSMN <- read.csv("commatrix.txt", sep="\t") # Read in tab-delimited data
Oct20_MIP_min100_habMSMN_melt <- melt(Oct20_MIP_min100_habMSMN, id="X") # Change structure to appropriate 3-column format
names(Oct20_MIP_min100_habMSMN_melt) <- c("SciName","TrapID","Total") # Rename column names to correspond with cneFxn requirements
Oct20_MIP_min100_habMSMN_df <- data.frame(Oct20_MIP_min100_habMSMN_melt) # Make into data frame
Oct20_MIP_min100_habMSMN_df <- Oct20_MIP_min100_habMSMN_df %>% mutate_if(is.character,as.factor) # Change sciname into factor column; trapid is already a factor column
dplyr::glimpse(Oct20_MIP_min100_habMSMN_df) # Double-check that they are indeed factors
Oct20_MIP_min100_habMSMN_E <- Oct20_MIP_min100_habMSMN_df
Oct20_MIP_min100_habMSMN_mytable <- xtabs( Oct20_MIP_min100_habMSMN_E$Total~Oct20_MIP_min100_habMSMN_E$SciName+Oct20_MIP_min100_habMSMN_E$TrapID )
Oct20_MIP_min100_habMSMN_x <- specpool( t(Oct20_MIP_min100_habMSMN_mytable) ) # This is a vegan function
Oct20_MIP_min100_habMSMN_cne <- cneFxn( Oct20_MIP_min100_habMSMN_mytable )

#CNE of mangroves (pulau semakau, old)
Oct20_MIP_min100_habMSMO <- read.csv("commatrix.txt", sep="\t") # Read in tab-delimited data
Oct20_MIP_min100_habMSMO_melt <- melt(Oct20_MIP_min100_habMSMO, id="X") # Change structure to appropriate 3-column format
names(Oct20_MIP_min100_habMSMO_melt) <- c("SciName","TrapID","Total") # Rename column names to correspond with cneFxn requirements
Oct20_MIP_min100_habMSMO_df <- data.frame(Oct20_MIP_min100_habMSMO_melt) # Make into data frame
Oct20_MIP_min100_habMSMO_df <- Oct20_MIP_min100_habMSMO_df %>% mutate_if(is.character,as.factor) # Change sciname into factor column; trapid is already a factor column
dplyr::glimpse(Oct20_MIP_min100_habMSMO_df) # Double-check that they are indeed factors
Oct20_MIP_min100_habMSMO_E <- Oct20_MIP_min100_habMSMO_df
Oct20_MIP_min100_habMSMO_mytable <- xtabs( Oct20_MIP_min100_habMSMO_E$Total~Oct20_MIP_min100_habMSMO_E$SciName+Oct20_MIP_min100_habMSMO_E$TrapID )
Oct20_MIP_min100_habMSMO_x <- specpool( t(Oct20_MIP_min100_habMSMO_mytable) ) # This is a vegan function
Oct20_MIP_min100_habMSMO_cne <- cneFxn( Oct20_MIP_min100_habMSMO_mytable )

#CNE of swamp forests
Oct20_MIP_min100_habSF <- read.csv("commatrix.txt", sep="\t") # Read in tab-delimited data
Oct20_MIP_min100_habSF_melt <- melt(Oct20_MIP_min100_habSF, id="X") # Change structure to appropriate 3-column format
names(Oct20_MIP_min100_habSF_melt) <- c("SciName","TrapID","Total") # Rename column names to correspond with cneFxn requirements
Oct20_MIP_min100_habSF_df <- data.frame(Oct20_MIP_min100_habSF_melt) # Make into data frame
Oct20_MIP_min100_habSF_df <- Oct20_MIP_min100_habSF_df %>% mutate_if(is.character,as.factor) # Change sciname into factor column; trapid is already a factor column
dplyr::glimpse(Oct20_MIP_min100_habSF_df) # Double-check that they are indeed factors
Oct20_MIP_min100_habSF_E <- Oct20_MIP_min100_habSF_df
Oct20_MIP_min100_habSF_mytable <- xtabs( Oct20_MIP_min100_habSF_E$Total~Oct20_MIP_min100_habSF_E$SciName+Oct20_MIP_min100_habSF_E$TrapID )
Oct20_MIP_min100_habSF_x <- specpool( t(Oct20_MIP_min100_habSF_mytable) ) # This is a vegan function
Oct20_MIP_min100_habSF_cne <- cneFxn( Oct20_MIP_min100_habSF_mytable )

#CNE of rainforests
Oct20_MIP_min100_habRF <- read.csv("commatrix.txt", sep="\t") # Read in tab-delimited data
Oct20_MIP_min100_habRF_melt <- melt(Oct20_MIP_min100_habRF, id="X") # Change structure to appropriate 3-column format
names(Oct20_MIP_min100_habRF_melt) <- c("SciName","TrapID","Total") # Rename column names to correspond with cneFxn requirements
Oct20_MIP_min100_habRF_df <- data.frame(Oct20_MIP_min100_habRF_melt) # Make into data frame
Oct20_MIP_min100_habRF_df <- Oct20_MIP_min100_habRF_df %>% mutate_if(is.character,as.factor) # Change sciname into factor column; trapid is already a factor column
dplyr::glimpse(Oct20_MIP_min100_habRF_df) # Double-check that they are indeed factors
Oct20_MIP_min100_habRF_E <- Oct20_MIP_min100_habRF_df
Oct20_MIP_min100_habRF_mytable <- xtabs( Oct20_MIP_min100_habRF_E$Total~Oct20_MIP_min100_habRF_E$SciName+Oct20_MIP_min100_habRF_E$TrapID )
Oct20_MIP_min100_habRF_x <- specpool( t(Oct20_MIP_min100_habRF_mytable) ) # This is a vegan function
Oct20_MIP_min100_habRF_cne <- cneFxn( Oct20_MIP_min100_habRF_mytable )

#CNE of mangroves (all sites)
Oct20_MIP_min100_habM <- read.csv("commatrix.txt", sep="\t") # Read in tab-delimited data
Oct20_MIP_min100_habM_melt <- melt(Oct20_MIP_min100_habM, id="X") # Change structure to appropriate 3-column format
names(Oct20_MIP_min100_habM_melt) <- c("SciName","TrapID","Total") # Rename column names to correspond with cneFxn requirements
Oct20_MIP_min100_habM_df <- data.frame(Oct20_MIP_min100_habM_melt) # Make into data frame
Oct20_MIP_min100_habM_df <- Oct20_MIP_min100_habM_df %>% mutate_if(is.character,as.factor) # Change sciname into factor column; trapid is already a factor column
dplyr::glimpse(Oct20_MIP_min100_habM_df) # Double-check that they are indeed factors
Oct20_MIP_min100_habM_E <- Oct20_MIP_min100_habM_df
Oct20_MIP_min100_habM_mytable <- xtabs( Oct20_MIP_min100_habM_E$Total~Oct20_MIP_min100_habM_E$SciName+Oct20_MIP_min100_habM_E$TrapID )
Oct20_MIP_min100_habM_x <- specpool( t(Oct20_MIP_min100_habM_mytable) ) # This is a vegan function
Oct20_MIP_min100_habM_cne <- cneFxn( Oct20_MIP_min100_habM_mytable )
