library(vegan)

#full dataset NMDS
mipp_oc20_full_comm <- read.table("commatrix.txt", header=T)
mipp_oc20_full_NMDS_bray <- metaMDS(mipp_oc20_full_comm, distance="bray", k=2, trymax=100)
mipp_oc20_full_NMDS_bray$points

#full dataset NMDS no singletons
mipp_oc20_full_nsg_comm <- read.table("commatrix.txt", header=T)
mipp_oc20_full_nsg_NMDS_bray <- metaMDS(mipp_oc20_full_nsg_comm, distance="bray", k=2, trymax=100)
mipp_oc20_full_nsg_NMDS_bray$points

#full dataset NMDS no doubletons
mipp_oc20_full_ndb_comm <- read.table("commatrix.txt", header=T)
mipp_oc20_full_ndb_NMDS_bray <- metaMDS(mipp_oc20_full_ndb_comm, distance="bray", k=2, trymax=100)
mipp_oc20_full_ndb_NMDS_bray$points

#full dataset NMDS no less 5
mipp_oc20_full_nl5_comm <- read.table("commatrix.txt", header=T)
mipp_oc20_full_nl5_NMDS_bray <- metaMDS(mipp_oc20_full_nl5_comm, distance="bray", k=2, trymax=100)
mipp_oc20_full_nl5_NMDS_bray$points

#full dataset NMDS no less 10
mipp_oc20_full_nl10_comm <- read.table("commatrix.txt", header=T)
mipp_oc20_full_nl10_NMDS_bray <- metaMDS(mipp_oc20_full_nl10_comm, distance="bray", k=2, trymax=100)
mipp_oc20_full_nl10_NMDS_bray$points


#full dataset 3% MDS MANOVA
mipp_oc20_full_comm3_MDS <- read.table("NMDS_points.txt", header=T)
mipp_oc20_full_comm3_MDS1 <- mipp_oc20_full_comm3_MDS$MDS1
mipp_oc20_full_comm3_MDS2 <- mipp_oc20_full_comm3_MDS$MDS2
mipp_oc20_full_comm3_MDS_m1 <- manova(cbind(mipp_oc20_full_comm3_MDS1, mipp_oc20_full_comm3_MDS2) ~ habitat, data = mipp_oc20_full_comm3_MDS)
summary(mipp_oc20_full_comm3_MDS_m1)
summary.aov(mipp_oc20_full_comm3_MDS_m1)

#full dataset 3% no singletons MDS MANOVA
mipp_oc20_full_comm3_nsg_MDS <- read.table("NMDS_points.txt", header=T)
mipp_oc20_full_comm3_nsg_MDS1 <- mipp_oc20_full_comm3_nsg_MDS$MDS1
mipp_oc20_full_comm3_nsg_MDS2 <- mipp_oc20_full_comm3_nsg_MDS$MDS2
mipp_oc20_full_comm3_nsg_MDS_m1 <- manova(cbind(mipp_oc20_full_comm3_nsg_MDS1, mipp_oc20_full_comm3_nsg_MDS2) ~ habitat, data = mipp_oc20_full_comm3_nsg_MDS)
summary(mipp_oc20_full_comm3_nsg_MDS_m1)
summary.aov(mipp_oc20_full_comm3_nsg_MDS_m1)

#full dataset 3% no doubletons MDS MANOVA
mipp_oc20_full_comm3_ndb_MDS <- read.table("NMDS_points.txt", header=T)
mipp_oc20_full_comm3_ndb_MDS1 <- mipp_oc20_full_comm3_ndb_MDS$MDS1
mipp_oc20_full_comm3_ndb_MDS2 <- mipp_oc20_full_comm3_ndb_MDS$MDS2
mipp_oc20_full_comm3_ndb_MDS_m1 <- manova(cbind(mipp_oc20_full_comm3_ndb_MDS1, mipp_oc20_full_comm3_ndb_MDS2) ~ habitat, data = mipp_oc20_full_comm3_ndb_MDS)
summary(mipp_oc20_full_comm3_ndb_MDS_m1)
summary.aov(mipp_oc20_full_comm3_ndb_MDS_m1)

#full dataset 3% no less 5 MDS MANOVA
mipp_oc20_full_comm3_nl5_MDS <- read.table("NMDS_points.txt", header=T)
mipp_oc20_full_comm3_nl5_MDS1 <- mipp_oc20_full_comm3_nl5_MDS$MDS1
mipp_oc20_full_comm3_nl5_MDS2 <- mipp_oc20_full_comm3_nl5_MDS$MDS2
mipp_oc20_full_comm3_nl5_MDS_m1 <- manova(cbind(mipp_oc20_full_comm3_nl5_MDS1, mipp_oc20_full_comm3_nl5_MDS2) ~ habitat, data = mipp_oc20_full_comm3_nl5_MDS)
summary(mipp_oc20_full_comm3_nl5_MDS_m1)
summary.aov(mipp_oc20_full_comm3_nl5_MDS_m1)

#full dataset 3% no less 10 MDS MANOVA
mipp_oc20_full_comm3_nl10_MDS <- read.table("NMDS_points.txt", header=T)
mipp_oc20_full_comm3_nl10_MDS1 <- mipp_oc20_full_comm3_nl10_MDS$MDS1
mipp_oc20_full_comm3_nl10_MDS2 <- mipp_oc20_full_comm3_nl10_MDS$MDS2
mipp_oc20_full_comm3_nl10_MDS_m1 <- manova(cbind(mipp_oc20_full_comm3_nl10_MDS1, mipp_oc20_full_comm3_nl10_MDS2) ~ habitat, data = mipp_oc20_full_comm3_nl10_MDS)
summary(mipp_oc20_full_comm3_nl10_MDS_m1)
summary.aov(mipp_oc20_full_comm3_nl10_MDS_m1)
