library(mvabund)

#full dataset
oct20_min100_comm <- read.table("commatrix.txt", header=T)
oct20_min100_mva <- mvabund(oct20_min100_comm[,3:8614])
meanvar.plot(oct20_min100_mva)
oct20_min100_m1 <- manyglm(oct20_min100_mva ~ oct20_min100_comm$Habitat, family="poisson")
oct20_min100_m2 <- manyglm(oct20_min100_mva ~ oct20_min100_comm$Habitat, family="negative_binomial")
anova(oct20_min100_m2)
oct20_min100_m2_mvaoutadj <- anova(oct20_min100_m2, p.uni="adjusted")
oct20_min100_m2_mvoutadj[9]

#full dataset (no singletons)
oct20_min100_nosg_comm <- read.table("commatrix.txt", header=T)
oct20_min100_nosg_mva <- mvabund(oct20_min100_nosg_comm[,3:5133])
meanvar.plot(oct20_min100_nosg_mva)
oct20_min100_nosg_m1 <- manyglm(oct20_min100_nosg_mva ~ oct20_min100_nosg_comm$Habitat, family="poisson")
oct20_min100_nosg_m2 <- manyglm(oct20_min100_nosg_mva ~ oct20_min100_nosg_comm$Habitat, family="negative_binomial")
anova(oct20_min100_nosg_m2)
oct20_min100_nosg_m2_mvoutadj <- anova(oct20_min100_nosg_m2, p.uni="adjusted")
oct20_min100_nosg_m2_mvoutadj[9]

#full dataset (no less 10)
oct20_min100_nol10_comm <- read.table("commatrix.txt", header=T)
oct20_min100_nol10_mva <- mvabund(oct20_min100_nol10_comm[,3:1781])
meanvar.plot(oct20_min100_nol10_mva)
oct20_min100_nol10_m1 <- manyglm(oct20_min100_nol10_mva ~ oct20_min100_nol10_comm$Habitat, family="poisson")
oct20_min100_nol10_m2 <- manyglm(oct20_min100_nol10_mva ~ oct20_min100_nol10_comm$Habitat, family="negative_binomial")
anova(oct20_min100_nol10_m2)
oct20_min100_nol10_m2_mvoutadj <- anova(oct20_min100_nol10_m2, p.uni="adjusted")
oct20_min100_nol10_m2_mvoutadj[9]
